#ifndef APPTHEME_H
#define APPTHEME_H

#include <QObject>
#include <QVariant>
#include <QFontDatabase>

class ScStwAppTheme : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QVariant colors READ getColors NOTIFY colorsChanged)
    Q_PROPERTY(QVariant icons READ getIcons NOTIFY iconsChanged)
    Q_PROPERTY(QVariant fonts READ getFonts NOTIFY fontsChanged)
    Q_PROPERTY(QVariant images READ getImages NOTIFY imagesChanged)


public:
    explicit ScStwAppTheme(QString name, QVariantMap colors = {}, QVariantMap icons = {}, QVariantMap fonts = {}, QVariantMap images = {}, QObject *parent = nullptr);

private:
    QString name;
    QVariantMap colors;
    QVariantMap icons;
    QVariantMap fonts;
    QVariantMap images;

signals:
    void colorsChanged();
    void iconsChanged();
    void fontsChanged();
    void imagesChanged();


public slots:
    QString getName();
    QVariant getColors();
    QVariant getIcons();
    QVariant getFonts();
    QVariant getImages();
};


#endif // APPTHEME_H
